# Docker file bundling gcp sdk and python 3.8
# To push changes to gitlab, use the build_and_push_images.py script, or run
# docker build -t registry.gitlab.com/potato-oss/google-cloud/django-gcloud-connectors/python38 .
# docker push registry.gitlab.com/potato-oss/google-cloud/django-gcloud-connectors/python38:latest

FROM python:3.8-bookworm

# RUN echo "deb http://ftp.us.debian.org/debian sid main" | tee /etc/apt/sources.list.d/sid-main.list
RUN apt-get install -y apt-transport-https ca-certificates gnupg curl
RUN echo "deb [signed-by=/usr/share/keyrings/cloud.google.gpg] http://packages.cloud.google.com/apt cloud-sdk main" | tee -a /etc/apt/sources.list.d/google-cloud-sdk.list \
	&& curl https://packages.cloud.google.com/apt/doc/apt-key.gpg | gpg --dearmor -o /usr/share/keyrings/cloud.google.gpg \
	&& apt-get update -y \
	&& apt-get install google-cloud-cli -y \
	&& apt-get install google-cloud-cli-datastore-emulator google-cloud-cli-firestore-emulator -y
RUN pip install tox
